Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_OOO_Engine/OOO_Engine/Rename_unit/Register_translation_unit/Stat_List_unit/src/Parameters_msg_error.cpp
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_OOO_Engine/OOO_Engine/Rename_unit/Register_translation_unit/Stat_List_unit/src/Parameters_msg_error.cpp	(revision 123)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_OOO_Engine/OOO_Engine/Rename_unit/Register_translation_unit/Stat_List_unit/src/Parameters_msg_error.cpp	(revision 124)
@@ -43,4 +43,9 @@
       test.error(_("the number of physical special register must be a power of 2.\n"));
 
+//     if (not is_multiple(_nb_general_register,_nb_bank))
+//       test.error(_("nb_general_register must be a multiple of nb_bank.\n"));
+//     if (not is_multiple(_nb_special_register,_nb_bank))
+//       test.error(_("nb_special_register must be a multiple of nb_bank.\n"));
+
     if (not is_power2(_nb_bank))
       test.error(_("the number of bank must be a power of 2.\n"));
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/Generic/RegisterFile/RegisterFile_Multi_Banked/include/Parameters.h
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/Generic/RegisterFile/RegisterFile_Multi_Banked/include/Parameters.h	(revision 123)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/Generic/RegisterFile/RegisterFile_Multi_Banked/include/Parameters.h	(revision 124)
@@ -32,4 +32,6 @@
   public : const uint32_t    _nb_port_write_by_bank; // Local  write port
   public : const Tcrossbar_t _crossbar             ;
+  public : const bool        _have_init_value;
+  public : const std::string _init_value;
 
   public : const uint32_t    _size_address         ;
@@ -60,5 +62,6 @@
 			uint32_t    nb_port_read_by_bank ,
 			uint32_t    nb_port_write_by_bank,
-			Tcrossbar_t crossbar             );
+			Tcrossbar_t crossbar             ,
+                        std::string init_value=""        );
 //   public : Parameters  (Parameters & param) ;
   public : ~Parameters () ;
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/Generic/RegisterFile/RegisterFile_Multi_Banked/src/Parameters.cpp
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/Generic/RegisterFile/RegisterFile_Multi_Banked/src/Parameters.cpp	(revision 123)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/Generic/RegisterFile/RegisterFile_Multi_Banked/src/Parameters.cpp	(revision 124)
@@ -23,5 +23,7 @@
 			  uint32_t    nb_port_read_by_bank ,
 			  uint32_t    nb_port_write_by_bank,
-			  Tcrossbar_t crossbar             ):
+			  Tcrossbar_t crossbar             ,
+                          std::string init_value
+                          ):
     _nb_port_read          (nb_port_read         ),
     _nb_port_write         (nb_port_write        ),
@@ -32,4 +34,6 @@
     _nb_port_write_by_bank (nb_port_write_by_bank),
     _crossbar              (crossbar             ),
+    _have_init_value       (init_value != ""     ),
+    _init_value            (init_value           ),
     _size_address          (static_cast<uint32_t>(ceil(log2(_nb_word)))),
     _size_address_by_bank  (_size_address - static_cast<uint32_t>(ceil(log2(_nb_bank)))),
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/Generic/RegisterFile/RegisterFile_Multi_Banked/src/RegisterFile_Multi_Banked_transition.cpp
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/Generic/RegisterFile/RegisterFile_Multi_Banked/src/RegisterFile_Multi_Banked_transition.cpp	(revision 123)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/Generic/RegisterFile/RegisterFile_Multi_Banked/src/RegisterFile_Multi_Banked_transition.cpp	(revision 124)
@@ -25,14 +25,22 @@
     // call function pointer
 //     (this->*function_transition) ();
-
-    for (uint32_t i=0; i<_param->_nb_port_write; i++)
+    if (_param->_have_init_value and (PORT_READ(in_NRESET) == 0))
       {
-	if (internal_WRITE_VAL [i] == 1)
- 	  {
-	    Tdata_t data = PORT_READ(in_WRITE_DATA   [i]);
-	    
- 	    // Write in registerFile
- 	    reg_DATA[internal_WRITE_BANK[i]][internal_WRITE_NUM_REG[i]] = data;
- 	  }
+        for (uint32_t i=0; i<_param->_nb_bank; ++i)
+          for (uint32_t j=0; j<_param->_nb_word; ++j)
+          reg_DATA[i][j] = fromString<Tdata_t>(_param->_init_value);
+      }
+    else
+      {
+        for (uint32_t i=0; i<_param->_nb_port_write; i++)
+          {
+            if (internal_WRITE_VAL [i] == 1)
+              {
+                Tdata_t data = PORT_READ(in_WRITE_DATA   [i]);
+                
+                // Write in registerFile
+                reg_DATA[internal_WRITE_BANK[i]][internal_WRITE_NUM_REG[i]] = data;
+              }
+          }
       }
 
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/include/Simulation.h
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/include/Simulation.h	(revision 123)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/include/Simulation.h	(revision 124)
@@ -19,12 +19,19 @@
 namespace behavioural          {
 
-extern double              _simulation_nb_cycle;
-extern double              _simulation_nb_instruction;
-extern std::vector<double> _simulation_nb_instruction_commited;
-extern Model               _model;
+  extern bool                _simulation_stop_exception;
+  extern double              _simulation_nb_cycle;
+  extern double              _simulation_nb_instruction;
+  extern std::vector<double> _simulation_nb_instruction_commited;
+  extern bool                _simulation_file_with_date;
+  extern bool                _simulation_file_with_pid ;
+  
+  extern Model               _model;
 
   bool simulation_test_end (void);
   void simulation_init     (double nb_cycle,
-                            double nb_instruction);
+                            double denug_nb_cycle,
+                            double nb_instruction,
+                            bool   file_with_date,
+                            bool   file_with_pid);
 }; // end namespace behavioural          
 }; // end namespace morpheo              
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/include/Stat.h
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/include/Stat.h	(revision 123)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/include/Stat.h	(revision 124)
@@ -111,4 +111,5 @@
 
     private : void               test_and_save                (bool force_save=false);
+    private : void               reset                        (bool save);
 
     private : void               eval_exprs                   (bool only_each_cycle=true);
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/include/Types.h
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/include/Types.h	(revision 123)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/include/Types.h	(revision 124)
@@ -44,5 +44,5 @@
 			     
   // ~~~~~ prediction_unit   
-  typedef uint32_t           Thistory_t;
+  typedef uint64_t           Thistory_t;
   typedef Tptr_t             Tprediction_ptr_t;
   typedef uint8_t            Tbranch_state_t;
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/include/Version.h
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/include/Version.h	(revision 123)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/include/Version.h	(revision 124)
@@ -10,8 +10,8 @@
 #define MORPHEO_MAJOR_VERSION "0"
 #define MORPHEO_MINOR_VERSION "2"
-#define MORPHEO_REVISION      "123"
+#define MORPHEO_REVISION      "124"
 #define MORPHEO_CODENAME      "Castor"
 
-#define MORPHEO_DATE_DAY      "08"  
+#define MORPHEO_DATE_DAY      "17"  
 #define MORPHEO_DATE_MONTH    "06"
 #define MORPHEO_DATE_YEAR     "2009" 
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Component_generate_file.cpp
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Component_generate_file.cpp	(revision 123)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Component_generate_file.cpp	(revision 124)
@@ -25,5 +25,5 @@
 	XML xml = toXML();
 
-	xml.filename_extension (".pos");
+	xml.filename_extension ("pos");
 	
 	xml.generate_file(MORPHEO_POSITION,"ISO-8859-1");
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Simulation.cpp
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Simulation.cpp	(revision 123)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Simulation.cpp	(revision 124)
@@ -14,17 +14,36 @@
 
   static bool          simulation_initialized;
+  bool                _simulation_stop_exception;
   double              _simulation_nb_cycle;
   double              _simulation_nb_instruction;
   std::vector<double> _simulation_nb_instruction_commited;
+  bool                _simulation_file_with_date;
+  bool                _simulation_file_with_pid ;
+
   Model               _model;
 
   void simulation_init (double nb_cycle,
-                        double nb_instruction)
+                        double debug_nb_cycle,
+                        double nb_instruction,
+                        bool   file_with_date,
+                        bool   file_with_pid )
   {
     if (not simulation_initialized)
       {
-        _simulation_nb_cycle                = nb_cycle;
+        if (debug_nb_cycle == 0)
+          {
+            _simulation_nb_cycle                = nb_cycle;
+            _simulation_stop_exception          = false;
+          }
+        else
+          {
+            _simulation_nb_cycle                = (debug_nb_cycle<nb_cycle)?debug_nb_cycle:nb_cycle;
+            _simulation_stop_exception          = (debug_nb_cycle<nb_cycle);
+          }
+
         _simulation_nb_instruction          = nb_instruction;
 //      _simulation_nb_instruction_commited = new std::vector<double>;
+        _simulation_file_with_date          = file_with_date;
+        _simulation_file_with_pid           = file_with_pid ;
 
         simulation_initialized = true;
@@ -34,9 +53,24 @@
         msg_printf(WARNING,_("Multi instance of Morpheo : stop condition, take the highest."));
 
-        if (_simulation_nb_cycle < nb_cycle)
-          _simulation_nb_cycle = nb_cycle;
+        if (//(_simulation_nb_cycle == 0) or
+            (_simulation_nb_cycle < debug_nb_cycle))
+          {
+            _simulation_nb_cycle       = debug_nb_cycle;
+            _simulation_stop_exception = true;
+          }
 
-        if (_simulation_nb_instruction < nb_instruction)
+        if (//(_simulation_nb_cycle == 0) or
+            (_simulation_nb_cycle < nb_cycle))
+          {
+            _simulation_nb_cycle       = nb_cycle;
+            _simulation_stop_exception = false;
+          }
+        
+        if (//(_simulation_nb_instruction == 0) or
+            (_simulation_nb_instruction < nb_instruction))
           _simulation_nb_instruction = nb_instruction;
+
+        _simulation_file_with_date          |= file_with_date;
+        _simulation_file_with_pid           |= file_with_pid ;
       }
   }
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Simulation_test_end.cpp
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Simulation_test_end.cpp	(revision 123)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Simulation_test_end.cpp	(revision 124)
@@ -9,4 +9,5 @@
 #include "Behavioural/include/Simulation.h"
 #include "Common/include/Systemc.h"
+#include "Common/include/ErrorMorpheo.h"
 
 namespace morpheo              {
@@ -47,5 +48,11 @@
       end_inst = true;
     
-    return end_cycle and end_inst;
+    if (end_cycle and _simulation_stop_exception)
+      {
+        throw ErrorMorpheo(_("Maximal cycles Reached"));
+        return false;
+      }
+    else
+      return end_cycle and end_inst;
   }
 
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Stat.cpp
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Stat.cpp	(revision 123)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Stat.cpp	(revision 124)
@@ -19,4 +19,5 @@
 
     _cycle         = create_variable("cycle");
+//  _cycle         = create_counter("cycle","","");
     *_cycle        = 0; // for the first period
 
@@ -39,4 +40,5 @@
 
     _cycle         = create_variable("cycle");
+//  _cycle         = create_counter("cycle","","");
     *_cycle        = 0; // for the first period
 
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Stat_end_cycle.cpp
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Stat_end_cycle.cpp	(revision 123)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Stat_end_cycle.cpp	(revision 124)
@@ -17,4 +17,10 @@
 	test_and_save(false);
       }
+    else
+      if ((_cycle_sum+1) == _nb_cycle_before_begin)
+        {
+          // Init counter
+          reset (false);
+        }
   }
 };  
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Stat_generate_file.cpp
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Stat_generate_file.cpp	(revision 123)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Stat_generate_file.cpp	(revision 124)
@@ -30,5 +30,5 @@
     xml->balise_close();
 
-    xml->filename_extension (".stat");
+    xml->filename_extension ("stat");
     xml->generate_file(MORPHEO_STATISTICS);
 
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Stat_reset.cpp
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Stat_reset.cpp	(revision 124)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Stat_reset.cpp	(revision 124)
@@ -0,0 +1,20 @@
+#ifdef STATISTICS
+#include "Behavioural/include/Stat.h"
+
+namespace morpheo {
+namespace behavioural {  
+  void Stat::reset (bool save)
+  {
+    for (std::map<std::string, var_t>::iterator i=_list_operand->begin();
+         i!= _list_operand->end();
+         ++i)
+      {
+        if (save)
+          i->second.save_counter.push_back(*(i->second.counter));
+
+        *(i->second.counter) = 0;
+      }
+  }
+};  
+};
+#endif
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Stat_test_and_save.cpp
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Stat_test_and_save.cpp	(revision 123)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Stat_test_and_save.cpp	(revision 124)
@@ -9,13 +9,6 @@
       {
 	eval_exprs(false); // evalue les expression non periodique au cycle
-	
-	for (std::map<std::string, var_t>::iterator i=_list_operand->begin();
-	     i!= _list_operand->end();
-	     ++i)
-	  {
-	    // save and reset !
-	    i->second.save_counter.push_back(*(i->second.counter));
-	    *(i->second.counter) = 0;
-	  }
+
+        reset (true);
       }
   }
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/src/XML.cpp
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/src/XML.cpp	(revision 123)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/src/XML.cpp	(revision 124)
@@ -17,5 +17,5 @@
   {
     log_printf(FUNC,Behavioural,FUNCTION,"Begin");
-    _filename_extension=".xml";
+    _filename_extension="xml";
     log_printf(FUNC,Behavioural,FUNCTION,"End");
   };
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/src/XML_generate_file.cpp
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/src/XML_generate_file.cpp	(revision 123)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/src/XML_generate_file.cpp	(revision 124)
@@ -8,4 +8,5 @@
 #include "Behavioural/include/XML.h"
 #include "Common/include/ErrorMorpheo.h"
+#include "Common/include/Filename.h"
 #include <fstream>
 
@@ -21,5 +22,11 @@
     header (encoding);
 
-    std::string filename = dirname + "/" + _name + _filename_extension;
+    std::string filename = morpheo::filename(dirname,
+                                             _name,
+                                             "",
+                                             _filename_extension,
+                                             _simulation_file_with_date,
+                                             _simulation_file_with_pid ,
+                                             true);
 
     msg_printf(INFORMATION,_("Generate file \"%s\"."),filename.c_str());
Index: trunk/IPs/systemC/processor/Morpheo/Common/include/Message.h
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Common/include/Message.h	(revision 123)
+++ trunk/IPs/systemC/processor/Morpheo/Common/include/Message.h	(revision 124)
@@ -43,9 +43,9 @@
 #endif
 
-extern bool   log_with_pid;
 extern FILE * log_stream;
 
 FILE * log      (FILE * stream);
 void   log_init (bool        have_file,
+                 bool        with_date,
                  bool        with_pid ,
                  std::string directory,
Index: trunk/IPs/systemC/processor/Morpheo/Common/src/Message.cpp
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Common/src/Message.cpp	(revision 123)
+++ trunk/IPs/systemC/processor/Morpheo/Common/src/Message.cpp	(revision 124)
@@ -15,5 +15,4 @@
 
   static bool log_initialized;
-  bool   log_with_pid;
   FILE * log_stream;
   
@@ -29,4 +28,5 @@
 #define FUNCTION "log_init"
   void log_init (bool        have_file,
+                 bool        with_date,
                  bool        with_pid ,
                  std::string directory,
@@ -36,5 +36,4 @@
       {
         log_initialized = true;
-        log_with_pid    = with_pid;
 
         if (have_file)
@@ -45,5 +44,5 @@
                                                      "",
                                                      "log",
-                                                     (file==""),
+                                                     with_date,
                                                      with_pid,
                                                      true);
Index: trunk/IPs/systemC/processor/Morpheo/Files/Instance_x1_w1_2.cfg
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Files/Instance_x1_w1_2.cfg	(revision 123)
+++ trunk/IPs/systemC/processor/Morpheo/Files/Instance_x1_w1_2.cfg	(revision 124)
@@ -4,8 +4,8 @@
 
   <thread id="0">             
-    <parameter name="size_ifetch_queue"                     value="8" />
+    <parameter name="size_ifetch_queue"                     value="4" />
     <parameter name="nb_inst_fetch"                         value="1" />
     <parameter name="ras_size_queue"                        value="8" />
-    <parameter name="upt_size_queue"                        value="8" />
+    <parameter name="upt_size_queue"                        value="4" />
     <parameter name="ufpt_size_queue"                       value="2" />
 
@@ -37,12 +37,12 @@
                                                             
   <read_bloc id="0">                                        
-    <parameter name="size_read_queue"                       value="4" />
+    <parameter name="size_read_queue"                       value="2" />
     <parameter name="size_reservation_station"              value="4" />
-    <parameter name="nb_inst_retire_reservation_station"    value="4" />
+    <parameter name="nb_inst_retire_reservation_station"    value="2" />
   </read_bloc>                                              
                                                             
   <write_bloc id="0">                                       
     <parameter name="size_write_queue"                      value="4" />
-    <parameter name="size_execute_queue"                    value="4" />
+    <parameter name="size_execute_queue"                    value="2" />
     <parameter name="nb_bypass_write"                       value="0" />
     <parameter name="write_queue_scheme"                    value="1" />
@@ -50,7 +50,7 @@
                                                             
   <load_store_unit id="0">                                  
-    <parameter name="size_store_queue"                      value="8" />
-    <parameter name="size_load_queue"                       value="8" />
-    <parameter name="size_speculative_access_queue"         value="4" />
+    <parameter name="size_store_queue"                      value="4" />
+    <parameter name="size_load_queue"                       value="4" />
+    <parameter name="size_speculative_access_queue"         value="2" />
     <parameter name="nb_port_check"                         value="1" />
     <parameter name="speculative_load"                      value="2" />
@@ -114,6 +114,6 @@
     <parameter name="commit_priority"                       value="1" />
     <parameter name="commit_load_balancing"                 value="1" />
-    <parameter name="size_issue_queue"                      value="8" />
-    <parameter name="nb_issue_queue_bank"                   value="2" />
+    <parameter name="size_issue_queue"                      value="4" />
+    <parameter name="nb_issue_queue_bank"                   value="1" />
     <parameter name="issue_queue_scheme"                    value="0" />
     <parameter name="issue_priority"                        value="1" />
@@ -130,5 +130,5 @@
     <parameter name="nb_gpr_port_read_by_bank"              value="2" />
     <parameter name="nb_gpr_port_write_by_bank"             value="1" />
-    <parameter name="nb_spr_bank"                           value="2" />
+    <parameter name="nb_spr_bank"                           value="1" />
     <parameter name="nb_spr_port_read_by_bank"              value="1" />
     <parameter name="nb_spr_port_write_by_bank"             value="1" />
Index: trunk/IPs/systemC/processor/Morpheo/Files/Instance_x1_w1_3.cfg
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Files/Instance_x1_w1_3.cfg	(revision 123)
+++ trunk/IPs/systemC/processor/Morpheo/Files/Instance_x1_w1_3.cfg	(revision 124)
@@ -7,5 +7,5 @@
     <parameter name="nb_inst_fetch"                         value="1" />
     <parameter name="ras_size_queue"                        value="8" />
-    <parameter name="upt_size_queue"                        value="8" />
+    <parameter name="upt_size_queue"                        value="4" />
     <parameter name="ufpt_size_queue"                       value="2" />
 
@@ -37,20 +37,20 @@
                                                             
   <read_bloc id="0,1">                                        
-    <parameter name="size_read_queue"                       value="4" />
+    <parameter name="size_read_queue"                       value="2" />
     <parameter name="size_reservation_station"              value="4" />
-    <parameter name="nb_inst_retire_reservation_station"    value="4" />
+    <parameter name="nb_inst_retire_reservation_station"    value="2" />
   </read_bloc>                                              
                                                             
   <write_bloc id="0,1">                                       
     <parameter name="size_write_queue"                      value="4" />
-    <parameter name="size_execute_queue"                    value="4" />
-    <parameter name="nb_bypass_write"                       value="0" />
+    <parameter name="size_execute_queue"                    value="2" />
+    <parameter name="nb_bypass_write"                       value="1" />
     <parameter name="write_queue_scheme"                    value="1" />
   </write_bloc>                                             
                                                             
   <load_store_unit id="0">                                  
-    <parameter name="size_store_queue"                      value="8" />
+    <parameter name="size_store_queue"                      value="4" />
     <parameter name="size_load_queue"                       value="8" />
-    <parameter name="size_speculative_access_queue"         value="4" />
+    <parameter name="size_speculative_access_queue"         value="2" />
     <parameter name="nb_port_check"                         value="1" />
     <parameter name="speculative_load"                      value="2" />
@@ -84,9 +84,12 @@
     <parameter name="btb_size_counter"                      value="2" />
     <parameter name="btb_victim_scheme"                     value="3" />
-    <parameter name="dir_predictor_scheme"                  value="2" />
+    <parameter name="dir_predictor_scheme"                  value="4" />
 
     <predictor id="0">                                      
       <parameter name="dir_have_bht"                        value="0" />
-      <parameter name="dir_have_pht"                        value="0" />
+      <parameter name="dir_have_pht"                        value="1" />
+      <parameter name="dir_pht_size_counter"                value="2"  />
+      <parameter name="dir_pht_nb_counter"                  value="256"/>
+      <parameter name="dir_pht_size_address_share"          value="0"  />
     </predictor>                                            
                                                             
@@ -182,5 +185,5 @@
   <link name="link_write_bloc_and_load_store_unit"     src="0.0"   dest="1"   />
   <link name="link_write_bloc_and_load_store_unit"     src="1.0"   dest="0"   />
-  <link name="link_write_bloc_and_functionnal_unit"    src="0.0"   dest="1"   />
+  <link name="link_write_bloc_and_functionnal_unit"    src="0.0"   dest="0"   />
   <link name="link_write_bloc_and_functionnal_unit"    src="1.0"   dest="1"   />
 
Index: trunk/IPs/systemC/processor/Morpheo/Files/Instance_x1_w1_4.cfg
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Files/Instance_x1_w1_4.cfg	(revision 123)
+++ trunk/IPs/systemC/processor/Morpheo/Files/Instance_x1_w1_4.cfg	(revision 124)
@@ -32,25 +32,25 @@
     <parameter name="nb_general_register"                   value="64"/>
     <parameter name="nb_special_register"                   value="16" />
-    <parameter name="nb_reg_free"                           value="1" />
-    <parameter name="nb_rename_unit_bank"                   value="1" />
+    <parameter name="nb_reg_free"                           value="2" />
+    <parameter name="nb_rename_unit_bank"                   value="2" />
   </rename_bloc>                                            
                                                             
   <read_bloc id="0,1,2">                                        
-    <parameter name="size_read_queue"                       value="4" />
+    <parameter name="size_read_queue"                       value="2" />
     <parameter name="size_reservation_station"              value="4" />
-    <parameter name="nb_inst_retire_reservation_station"    value="4" />
+    <parameter name="nb_inst_retire_reservation_station"    value="2" />
   </read_bloc>                                              
                                                             
   <write_bloc id="0,1,2">                                       
     <parameter name="size_write_queue"                      value="4" />
-    <parameter name="size_execute_queue"                    value="4" />
-    <parameter name="nb_bypass_write"                       value="0" />
+    <parameter name="size_execute_queue"                    value="2" />
+    <parameter name="nb_bypass_write"                       value="1" />
     <parameter name="write_queue_scheme"                    value="1" />
   </write_bloc>                                             
                                                             
   <load_store_unit id="0">                                  
-    <parameter name="size_store_queue"                      value="8" />
+    <parameter name="size_store_queue"                      value="4" />
     <parameter name="size_load_queue"                       value="8" />
-    <parameter name="size_speculative_access_queue"         value="4" />
+    <parameter name="size_speculative_access_queue"         value="2" />
     <parameter name="nb_port_check"                         value="1" />
     <parameter name="speculative_load"                      value="2" />
@@ -98,5 +98,25 @@
     <parameter name="btb_size_counter"                      value="2" />
     <parameter name="btb_victim_scheme"                     value="3" />
-    <parameter name="dir_predictor_scheme"                  value="2" />
+    <parameter name="dir_predictor_scheme"                  value="4" />
+
+
+    <predictor id="0">                                      
+      <parameter name="dir_have_bht"                        value="0" />
+      <parameter name="dir_have_pht"                        value="1" />
+      <parameter name="dir_pht_size_counter"                value="2"  />
+      <parameter name="dir_pht_nb_counter"                  value="256"/>
+      <parameter name="dir_pht_size_address_share"          value="0"  />
+    </predictor>                                            
+                                                            
+    <predictor id="1">                                      
+      <parameter name="dir_have_bht"                        value="0" />
+      <parameter name="dir_have_pht"                        value="0" />
+    </predictor>                                            
+                                                            
+    <predictor id="2">                                      
+      <parameter name="dir_have_bht"                        value="0" />
+      <parameter name="dir_have_pht"                        value="0" />
+    </predictor>
+
   </front_end>
 
@@ -126,8 +146,8 @@
     <parameter name="nb_read_unit"                          value="3" />
     <parameter name="nb_write_unit"                         value="3" />
-    <parameter name="nb_gpr_bank"                           value="2" />
+    <parameter name="nb_gpr_bank"                           value="4" />
     <parameter name="nb_gpr_port_read_by_bank"              value="2" />
     <parameter name="nb_gpr_port_write_by_bank"             value="1" />
-    <parameter name="nb_spr_bank"                           value="2" />
+    <parameter name="nb_spr_bank"                           value="4" />
     <parameter name="nb_spr_port_read_by_bank"              value="1" />
     <parameter name="nb_spr_port_write_by_bank"             value="1" />
